Name: kdetoys4
Summary: K Desktop Environment - Toys and Amusements
Version: 4.0.3
Epoch: 1
URL: ftp://ftp.kde.org/pub/kde/stable/%version/src/
Release: %mkrel 1
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdetoys-%version.tar.bz2
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
BuildRequires: kdelibs4-devel >= %version
BuildRequires: kdebase4-workspace-devel

%description
Toys for the K Desktop Environment.

Software included in this package are:
	- amor: Amusing Misuse Of Resources put's comic figures above your windows
	- kteatime: system tray applet that makes sure your tea doesn't get too strong
	- ktux: Tux-in-a-Spaceship screen saver
	- kweather: plasma applet that will display the current weather outside
	- kworldclock: application and plasma applet showing daylight area on the
	  world globe

#-------------------------------------------------------------------

%package -n kde4-kweather
Group:      Graphical desktop/KDE
Summary:    Plasma applet that will display the current weather outside 
Provides:   kweather4

%description -n kde4-kweather
Plasma applet that will display the current weather outside

%files -n kde4-kweather
%defattr(-,root,root)
%_kde_bindir/kweatherreport
%_kde_bindir/kweatherservice
%_kde_libdir/libkdeinit4_kweatherreport.so
%dir %_kde_appsdir/kweather
%_kde_appsdir/kweather/*.png
%_kde_appsdir/kweatherservice/stations.dat
%_kde_appsdir/kweatherservice/weather_stations.desktop
%_kde_iconsdir/hicolor/*/apps/kweather.png   
%_kde_datadir/kde4/services/kweatherservice.desktop
%_kde_libdir/kde4/kcm_weather.so
%_kde_libdir/kde4/kcm_weatherservice.so
%_datadir/dbus-1/interfaces/org.kde.kweather.kweather.xml
%_datadir/dbus-1/interfaces/org.kde.kweather.service.xml
%_kde_docdir/*/*/kweather

#-------------------------------------------------------------------

%package -n kde4-amor
Group:      Graphical desktop/KDE
Summary:    Amusing Misuse Of Resources put's comic figures above your windows
Provides:   amor4
Conflicts:  kdetoys4 < 3.97.1-0.745233.1

%description -n kde4-amor
Amusing Misuse Of Resources put's comic figures above your windows

%files -n kde4-amor
%defattr(-,root,root)
%_kde_bindir/amor
%_kde_datadir/applications/kde4/amor.desktop
%_kde_datadir/kde4/services/kcmweather.desktop
%_kde_datadir/kde4/services/kcmweatherservice.desktop
%dir %_kde_appsdir/amor
%_kde_appsdir/amor/*
%_kde_iconsdir/hicolor/*/apps/amor.png
%_datadir/dbus-1/interfaces/org.kde.amor.xml
%_kde_docdir/*/*/amor

#-------------------------------------------------------------------

%package -n kde4-ktux
Group:      Graphical desktop/KDE
Summary:    Tux-in-a-Spaceship screen saver
Provides:   ktux4
Conflicts:  kdetoys4 < 3.97.1-0.745233.1

%description -n kde4-ktux
Tux-in-a-Spaceship screen saver

%files -n kde4-ktux
%defattr(-,root,root)
%_kde_bindir/ktux
%dir %_kde_appsdir/ktux
%dir %_kde_appsdir/ktux/sprites
%_kde_appsdir/ktux/sprites/spriterc
%_kde_appsdir/ktux/sprites/*.png
%_kde_iconsdir/hicolor/*/apps/ktux.png
%_kde_datadir/kde4/services/ScreenSavers/ktux.desktop

#-------------------------------------------------------------------

%package -n kde4-kteatime
Group:      Graphical desktop/KDE
Summary:    System tray applet that makes sure your tea doesn't get too strong
Provides:   kteatime4
Conflicts:  kdetoys4 < 3.97.1-0.745233.1

%description -n kde4-kteatime
System tray applet that makes sure your tea doesn't get too strong

%files -n kde4-kteatime
%defattr(-,root,root)
%_kde_bindir/kteatime
%dir %_kde_appsdir/kteatime
%_kde_appsdir/kteatime/kteatime.notifyrc
%_kde_datadir/applications/kde4/kteatime.desktop
%_kde_iconsdir/hicolor/*/apps/kteatime.png
%_kde_docdir/*/*/kteatime

#-------------------------------------------------------------------

%package -n kde4-kworldclock
Group:      Graphical desktop/KDE
Summary:    Application and plasma applet showing daylight area on the world globe
Provides:   kworldclock4
Conflicts:  kdetoys4 < 3.97.1-0.745233.1

%description -n kde4-kworldclock
TODO

%files -n kde4-kworldclock
%defattr(-,root,root)
%_kde_bindir/kworldclock
%_kde_datadir/applications/kde4/kworldclock.desktop
%_kde_appsdir/kworldclock/maps/depths/400.jpg
%_kde_appsdir/kworldclock/maps/depths/800.jpg
%_kde_appsdir/kworldclock/maps/depths/depths.desktop
%_kde_appsdir/kworldclock/maps/flatworld/1200.jpg
%_kde_appsdir/kworldclock/maps/flatworld/1600.jpg
%_kde_appsdir/kworldclock/maps/flatworld/200.jpg
%_kde_appsdir/kworldclock/maps/flatworld/400.jpg
%_kde_appsdir/kworldclock/maps/flatworld/800.jpg
%_kde_appsdir/kworldclock/maps/flatworld/flatworld.desktop
%_kde_appsdir/kworldclock/pics/flag-blue.png
%_kde_appsdir/kworldclock/pics/flag-green.png
%_kde_appsdir/kworldclock/pics/flag-mask.xpm
%_kde_appsdir/kworldclock/pics/flag-red.png
%_kde_appsdir/kworldclock/pics/flag.png
%_kde_appsdir/kworldclock/zone.tab
%_kde_iconsdir/hicolor/*/apps/kworldclock.png
%_kde_docdir/*/*/kworldclock

#-------------------------------------------------------------------

%prep
%setup -q -n kdetoys-%version

%build
%cmake_kde4

%make

%install
rm -fr %buildroot
make -C build DESTDIR=%buildroot install


%clean
rm -fr %buildroot





%changelog
* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.3-1mdv2008.1
+ Revision: 191017
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-2mdv2008.1
+ Revision: 182266
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.2-1mdv2008.1
+ Revision: 177464
- New upstream bugfix release 4.0.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - fix description-line-too-long

* Mon Feb 11 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-1mdv2008.1
+ Revision: 165282
- Update to 4.0.1

* Wed Jan 09 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.0-1mdv2008.1
+ Revision: 147361
- Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix File list
    - New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.745233.1mdv2008.1
+ Revision: 119556
- Fix BuildRequires
- New snapshot
  Big Cleanup to follow kde4 policies
  	* Now we have new packages:
  		- kde4-kweather
  		- kde4-amor
  		- kde4-ktux
  		- kde4-kmoon
  		- kde4-kteatime
  		- kde4-kworldclock
  		- kde4-eyesapplet
  	* libkweather have been removed

  + Thierry Vignaud <tvignaud@mandriva.com>
    - buildrequires X11-devel instead of XFree86-devel

* Wed May 09 2007 Laurent Montel <lmontel@mandriva.org> 1:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25717
- new snapshot
- It compiles with enable final

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.1mdv2008.0
+ Revision: 21362
- SILEN
- new snapshot
- new snapshot


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.1mdv2007.1
+ Revision: 141309
- new snapshot
- Fix spec file
- new snapshot
- 3.80.3

* Fri Feb 16 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070215.1mdv2007.1
+ Revision: 121629
- new snapshot
- Fix spec file
- new snapshot
- new snapshot

* Wed Jan 17 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070117.1mdv2007.1
+ Revision: 109804
- Update

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.1mdv2007.1
+ Revision: 107038
- update

* Wed Jan 03 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 103663
- Fix file list
- Update
- (empty)
- new update
- Byebye menu macro

* Thu Dec 28 2006 Laurent Montel <lmontel@mandriva.com> 1:3.80-2mdv2007.1
+ Revision: 102289
- Import kdetoys4

* Wed Oct 18 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-1mdv2007.0
- First package

